/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CategoriaClase;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionCategoriaClase implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaClase categoria = (CategoriaClase) o;

        Listcell lc = new Listcell(categoria.getClaseServicio() == null ? "" : categoria.getClaseServicio().getDescclase());
        lc.setParent(lstm);


        lstm.setAttribute("data", categoria);
    }
}
